gstreamermm: Gst::XvImageSink Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::XvImageSink Class Reference
gstreamermm Plugins

A Wrapper for the xvimagesink plugin. More...

Inheritance diagram for Gst::XvImageSink:
[legend]
Collaboration diagram for Gst::XvImageSink:
[legend]

List of all members.

## Public Member Functions
virtual | ~XvImageSink ()
GstXvImageSink* | gobj ()
| Provides access to the underlying C GObject.
const GstXvImageSink* | gobj () const
| Provides access to the underlying C GObject.
GstXvImageSink* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< int > | property_contrast ()
| The contrast of the video.
Glib::PropertyProxy_ReadOnly< int > | property_contrast () const
| The contrast of the video.
Glib::PropertyProxy< int > | property_brightness ()
| The brightness of the video.
Glib::PropertyProxy_ReadOnly< int > | property_brightness () const
| The brightness of the video.
Glib::PropertyProxy< int > | property_hue ()
| The hue of the video.
Glib::PropertyProxy_ReadOnly< int > | property_hue () const
| The hue of the video.
Glib::PropertyProxy< int > | property_saturation ()
| The saturation of the video.
Glib::PropertyProxy_ReadOnly< int > | property_saturation () const
| The saturation of the video.
Glib::PropertyProxy < Glib::ustring > | property_display ()
| X Display name.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_display () const
| X Display name.
Glib::PropertyProxy< bool > | property_synchronous ()
| When enabled, runs the X display in synchronous mode.
Glib::PropertyProxy_ReadOnly < bool > | property_synchronous () const
| When enabled, runs the X display in synchronous mode.
Glib::PropertyProxy < Glib::ustring > | property_pixel_aspect_ratio ()
| The pixel aspect ratio of the device.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_pixel_aspect_ratio () const
| The pixel aspect ratio of the device.
Glib::PropertyProxy< bool > | property_force_aspect_ratio ()
| When enabled, scaling will respect original aspect ratio.
Glib::PropertyProxy_ReadOnly < bool > | property_force_aspect_ratio () const
| When enabled, scaling will respect original aspect ratio.
Glib::PropertyProxy< bool > | property_handle_events ()
| When enabled, XEvents will be selected and handled.
Glib::PropertyProxy_ReadOnly < bool > | property_handle_events () const
| When enabled, XEvents will be selected and handled.
Glib::PropertyProxy < Glib::ustring > | property_device ()
| The number of the video adaptor.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_device () const
| The number of the video adaptor.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_device_name () const
| The name of the video adaptor.
Glib::PropertyProxy< bool > | property_handle_expose ()
| When enabled, the current frame will always be drawn in response to X Expose events.
Glib::PropertyProxy_ReadOnly < bool > | property_handle_expose () const
| When enabled, the current frame will always be drawn in response to X Expose events.
Glib::PropertyProxy< bool > | property_double_buffer ()
| Whether to double-buffer the output.
Glib::PropertyProxy_ReadOnly < bool > | property_double_buffer () const
| Whether to double-buffer the output.
Glib::PropertyProxy< bool > | property_autopaint_colorkey ()
| Whether to autofill overlay with colorkey.
Glib::PropertyProxy_ReadOnly < bool > | property_autopaint_colorkey () const
| Whether to autofill overlay with colorkey.
Glib::PropertyProxy< int > | property_colorkey ()
| Color to use for the overlay mask.
Glib::PropertyProxy_ReadOnly< int > | property_colorkey () const
| Color to use for the overlay mask.
Glib::PropertyProxy< bool > | property_draw_borders ()
| Draw black borders to fill unused area in force-aspect-ratio mode.
Glib::PropertyProxy_ReadOnly < bool > | property_draw_borders () const
| Draw black borders to fill unused area in force-aspect-ratio mode.
Glib::PropertyProxy_ReadOnly < guint64 > | property_window_width () const
| Width of the window.
Glib::PropertyProxy_ReadOnly < guint64 > | property_window_height () const
| Height of the window.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< XvImageSink > | create ()
| Creates a new xvimagesink plugin with a unique name.
static Glib::RefPtr< XvImageSink > | create (const Glib::ustring& name)
| Creates a new xvimagesink plugin with the given name.
## Protected Member Functions
| XvImageSink ()
| XvImageSink (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::XvImageSink > | wrap (GstXvImageSink* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the xvimagesink plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::XvImageSink::~XvImageSink | ( |  | ) | `[virtual]`

Gst::XvImageSink::XvImageSink | ( |  | ) | `[protected]`

Gst::XvImageSink::XvImageSink | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<XvImageSink> Gst::XvImageSink::create | ( |  | ) | `[static]`

Creates a new xvimagesink plugin with a unique name.

static Glib::RefPtr<XvImageSink> Gst::XvImageSink::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new xvimagesink plugin with the given name.

static GType Gst::XvImageSink::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::ColorBalance.

GstXvImageSink* Gst::XvImageSink::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::ColorBalance.

const GstXvImageSink* Gst::XvImageSink::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::ColorBalance.

GstXvImageSink* Gst::XvImageSink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::VideoSink.

Glib::PropertyProxy< bool > Gst::XvImageSink::property_autopaint_colorkey | ( |  | ) |

Whether to autofill overlay with colorkey.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XvImageSink::property_autopaint_colorkey | ( |  | ) | const

Whether to autofill overlay with colorkey.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::XvImageSink::property_brightness | ( |  | ) |

The brightness of the video.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::XvImageSink::property_brightness | ( |  | ) | const

The brightness of the video.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::XvImageSink::property_colorkey | ( |  | ) |

Color to use for the overlay mask.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::XvImageSink::property_colorkey | ( |  | ) | const

Color to use for the overlay mask.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::XvImageSink::property_contrast | ( |  | ) |

The contrast of the video.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::XvImageSink::property_contrast | ( |  | ) | const

The contrast of the video.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::XvImageSink::property_device | ( |  | ) |

The number of the video adaptor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::XvImageSink::property_device | ( |  | ) | const

The number of the video adaptor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::XvImageSink::property_device_name | ( |  | ) | const

The name of the video adaptor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::XvImageSink::property_display | ( |  | ) |

X Display name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::XvImageSink::property_display | ( |  | ) | const

X Display name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XvImageSink::property_double_buffer | ( |  | ) |

Whether to double-buffer the output.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XvImageSink::property_double_buffer | ( |  | ) | const

Whether to double-buffer the output.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XvImageSink::property_draw_borders | ( |  | ) |

Draw black borders to fill unused area in force-aspect-ratio mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XvImageSink::property_draw_borders | ( |  | ) | const

Draw black borders to fill unused area in force-aspect-ratio mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XvImageSink::property_force_aspect_ratio | ( |  | ) |

When enabled, scaling will respect original aspect ratio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XvImageSink::property_force_aspect_ratio | ( |  | ) | const

When enabled, scaling will respect original aspect ratio.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XvImageSink::property_handle_events | ( |  | ) |

When enabled, XEvents will be selected and handled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XvImageSink::property_handle_events | ( |  | ) | const

When enabled, XEvents will be selected and handled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XvImageSink::property_handle_expose | ( |  | ) |

When enabled, the current frame will always be drawn in response to X Expose events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XvImageSink::property_handle_expose | ( |  | ) | const

When enabled, the current frame will always be drawn in response to X Expose events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::XvImageSink::property_hue | ( |  | ) |

The hue of the video.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::XvImageSink::property_hue | ( |  | ) | const

The hue of the video.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::XvImageSink::property_pixel_aspect_ratio | ( |  | ) |

The pixel aspect ratio of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::XvImageSink::property_pixel_aspect_ratio | ( |  | ) | const

The pixel aspect ratio of the device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::XvImageSink::property_saturation | ( |  | ) |

The saturation of the video.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::XvImageSink::property_saturation | ( |  | ) | const

The saturation of the video.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::XvImageSink::property_synchronous | ( |  | ) |

When enabled, runs the X display in synchronous mode.

(unrelated to A/V sync, used only for debugging).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::XvImageSink::property_synchronous | ( |  | ) | const

When enabled, runs the X display in synchronous mode.

(unrelated to A/V sync, used only for debugging).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::XvImageSink::property_window_height | ( |  | ) | const

Height of the window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::XvImageSink::property_window_width | ( |  | ) | const

Width of the window.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::XvImageSink > wrap | ( | GstXvImageSink * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/xvimagesink.h